# Integrations

An Integration represents the connection to a specific Provider. Once configured, an Integration enables interaction with the target Provider via our unified and normalized [Connector APIs](/api-reference/connectors).

Each Integration belongs to an [Account](/api-reference/management/accounts) and may be associated with an [Integration Point](/api-reference/management/integrationpoints) to provide additional features and configuration.

For more information on Integrations, see the [Synqly Overview](/guides/getting-started/overview).


## List Integrations

 - [GET /v1/integrations](https://docs.synqly.com/api-reference/management/integrations/integrations_list.md): Returns a list of all Integration objects that match the query params.

Operation ID: integrations_list

## List Account Integrations

 - [GET /v1/integrations/{accountId}](https://docs.synqly.com/api-reference/management/integrations/integrations_list_account.md): Returns a list of all Integration objects belonging to the
Account matching {accountId}.

Operation ID: integrations_list_account

## Create Integration

 - [POST /v1/integrations/{accountId}](https://docs.synqly.com/api-reference/management/integrations/integrations_create.md): Creates an Integration object belonging to the Account matching
{accountId}. Configures the Integration with the Provider specified
in the request. Returns an Integration token for use with Integration APIs.

Operation ID: integrations_create

## Get Integration

 - [GET /v1/integrations/{accountId}/{integrationId}](https://docs.synqly.com/api-reference/management/integrations/integrations_get.md): Returns the Integration object matching {integrationId} where
the Integration belongs to the Account matching {accountId}.

Operation ID: integrations_get

## Update Integration

 - [PUT /v1/integrations/{accountId}/{integrationId}](https://docs.synqly.com/api-reference/management/integrations/integrations_update.md): Updates the Integration object matching {integrationId}, where the
Integration belongs to the Account matching {accountId}.

Operation ID: integrations_update

## Patch Integration

 - [PATCH /v1/integrations/{accountId}/{integrationId}](https://docs.synqly.com/api-reference/management/integrations/integrations_patch.md): Patches the Integration object matching {integrationId}, where the
Integration belongs to the Account matching {accountId}.

Operation ID: integrations_patch

## Delete Integration

 - [DELETE /v1/integrations/{accountId}/{integrationId}](https://docs.synqly.com/api-reference/management/integrations/integrations_delete.md): Deletes the Integration object matching {integrationId}, where the Integrationbelongs to theAccountmatching{accountId}. Deleting an Integration also deletes any tokens that belong to it.

Operation ID: integrations_delete`

## Verify Integration

 - [POST /v1/integrations/{accountId}/verify](https://docs.synqly.com/api-reference/management/integrations/integrations_verify.md): Verifies an ephemeral Integration and provider configuration and tests the authentication and provider connectivity.
The provider config credential IDs can utilize persistent IDs or use "#/n" reference IDs;
where (n) is the zero based offset in the optional credentials list.

Operation ID: integrations_verify

